# Template for integrating a new app

## Single sign-on

* [ ] Integrate the new app into the signle sign-on system
* [ ] Make sure the application does not allow registering through the
  traditional sign-on system

## Documentation

* [ ] Add app to `docs/installation_instructions.md`
* [ ] Add app to `docs/testing_instructions.md`

## Etc

* [ ] Make sure to use an `existingClaim` for persistent volumes

## Tests

* [ ] Add taiko test (`tests/taiko`)
* [ ] Check for successful helmrelease (`test/pytest/test_helmreleases.py`)
* [ ] Test cert (`test/pytest/test_certs.py`)

## CI

* [ ] Run new tests in CI (`.gitlab-ci.yml`)
